Skip to main content
GET
https://{tenantDomain}/api/v2
/
flows
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Flows.Get(
        context.TODO(),
        "id",
        &management.GetFlowRequestParameters{},
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actions": [
    {
      "id": "<string>",
      "type": "ACTIVECAMPAIGN",
      "action": "LIST_CONTACTS",
      "params": {
        "connection_id": "<string>",
        "email": "<string>"
      },
      "alias": "<string>",
      "allow_failure": true,
      "mask_output": true
    }
  ],
  "executed_at": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Flow identifier

Maximum string length: 30

Query Parameters

hydrate
enum<string>[]

hydration param

Available options:
form_count,
forms
Maximum string length: 50

Response

Flow successfully retrieved.

id
string<flow-id>
required
Maximum string length: 30
name
string
required
Required string length: 1 - 150
created_at
string<date-time>
required
updated_at
string<date-time>
required
actions
object[]
executed_at
string<date>